Get a market's price band
curl --request GET \
--url https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band \
--header 'RFQ-Key-Id: <api-key>' \
--header 'RFQ-Signature: <api-key>' \
--header 'RFQ-Timestamp: <api-key>'import requests
url = "https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band"
headers = {
"RFQ-Key-Id": "<api-key>",
"RFQ-Timestamp": "<api-key>",
"RFQ-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'RFQ-Key-Id': '<api-key>',
'RFQ-Timestamp': '<api-key>',
'RFQ-Signature': '<api-key>'
}
};
fetch('https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"RFQ-Key-Id: <api-key>",
"RFQ-Signature: <api-key>",
"RFQ-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("RFQ-Key-Id", "<api-key>")
req.Header.Add("RFQ-Timestamp", "<api-key>")
req.Header.Add("RFQ-Signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band")
.header("RFQ-Key-Id", "<api-key>")
.header("RFQ-Timestamp", "<api-key>")
.header("RFQ-Signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["RFQ-Key-Id"] = '<api-key>'
request["RFQ-Timestamp"] = '<api-key>'
request["RFQ-Signature"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"marketId": "<string>",
"tolerance": "<string>",
"outcomes": {
"yes": {
"tokenId": "<string>",
"source": "clob_midpoint",
"mark": "<string>",
"lower": "<string>",
"upper": "<string>"
},
"no": {
"tokenId": "<string>",
"source": "clob_midpoint",
"mark": "<string>",
"lower": "<string>",
"upper": "<string>"
}
},
"readAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}Get a Market's Price Band
Read the price band an RFQ trade on this market must fall inside, for both outcome tokens.
GET
/
v1
/
markets
/
{marketId}
/
price-band
Get a market's price band
curl --request GET \
--url https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band \
--header 'RFQ-Key-Id: <api-key>' \
--header 'RFQ-Signature: <api-key>' \
--header 'RFQ-Timestamp: <api-key>'import requests
url = "https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band"
headers = {
"RFQ-Key-Id": "<api-key>",
"RFQ-Timestamp": "<api-key>",
"RFQ-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'RFQ-Key-Id': '<api-key>',
'RFQ-Timestamp': '<api-key>',
'RFQ-Signature': '<api-key>'
}
};
fetch('https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"RFQ-Key-Id: <api-key>",
"RFQ-Signature: <api-key>",
"RFQ-Timestamp: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("RFQ-Key-Id", "<api-key>")
req.Header.Add("RFQ-Timestamp", "<api-key>")
req.Header.Add("RFQ-Signature", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band")
.header("RFQ-Key-Id", "<api-key>")
.header("RFQ-Timestamp", "<api-key>")
.header("RFQ-Signature", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://external-rfq-partner.polymarket.com/v1/markets/{marketId}/price-band")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["RFQ-Key-Id"] = '<api-key>'
request["RFQ-Timestamp"] = '<api-key>'
request["RFQ-Signature"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"marketId": "<string>",
"tolerance": "<string>",
"outcomes": {
"yes": {
"tokenId": "<string>",
"source": "clob_midpoint",
"mark": "<string>",
"lower": "<string>",
"upper": "<string>"
},
"no": {
"tokenId": "<string>",
"source": "clob_midpoint",
"mark": "<string>",
"lower": "<string>",
"upper": "<string>"
}
},
"readAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}{
"error": {
"code": "validation_failed",
"message": "stale_order (taker): order timestamp is 12m0s old (max 10m0s)",
"retryable": false,
"details": {
"reason": "stale_order",
"party": "taker"
}
}
}See the RFQ Trades Partner API guide for the full trade flow.
Authorizations
The public half of the partner's API key.
Unix seconds, within 30 seconds of server time.
base64url(HMAC-SHA256(secret, timestamp + method + path + body)), padded.
Path Parameters
A gamma market id.
Was this page helpful?